body {
    background-repeat: no-repeat;
    background-size: cover !important;
    background-attachment: fixed;
    background-position: 50% 0;
    margin: 0;
    padding: 0;
    height: 100%;
}

.pagination {
    margin: 0 ! important;
}

a:hover {
    color: black;
}

.label {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    display: inline;
    padding: .2em .6em .3em;
    font-size: 85%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}

.label-danger {
    background-color: #d9534f;
}

.label-warning {
    background-color: #f0ad4e;
}

.label-success {
    background-color: #5cb85c;
}

.label-darksuccess {
    background-color: #04B311;
}

.jumbotron {
    padding-top: 30px;
    padding-bottom: 30px;
    margin: 6% auto 30px;
    color: inherit;
    background: rgba(242, 242, 242, 0.5);
}

.pull-right {
    padding-right: 0;
    padding-left: 0;
    text-align: right;
    border-right: 0 solid #eee;
    border-left: 0
}

.main-footer {
    -webkit-transition: -webkit-transform .3s ease-in-out, margin .3s ease-in-out;
    -moz-transition: -moz-transform .3s ease-in-out, margin .3s ease-in-out;
    -o-transition: -o-transform .3s ease-in-out, margin .3s ease-in-out;
    transition: transform .3s ease-in-out, margin .3s ease-in-out;
    z-index: 0;
}

.support-text {
    color: #000;
    font-size: 16px !important;
    line-height: normal;
}

.custom-icons {
    margin: 0 auto;
    line-height: normal;
    font-size: 14px !important;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.mdl-cell--3-col, .mdl-cell--3-col-desktop.mdl-cell--3-col-desktop {
    width: 25%;
}

.mdl-cell--6-col, .mdl-cell--6-col-desktop.mdl-cell--6-col-desktop {
    width: 50%;
    z-index: 2;
}

.mdl-cell--25-col, .mdl-cell--25-col-desktop.mdl-cell--25-col-desktop {
    width: 20%;
}

.mdl-cell--12-col, .mdl-cell--12-col-desktop.mdl-cell--12-col-desktop {
    width: 100%;
    z-index: 2;
}

.mdl-cell--6-col a {
    text-decoration: none !important;
    color: rgba(0, 0, 0, 0.87) !important;
}

.mdl-cell--6-col a:hover {
    color: #039BE5 !important;
    text-decoration: underline !important;
}

#bans a {
    text-decoration: none !important;
    color: rgba(0, 0, 0, 0.87) !important;
}

#bans a:hover {
    color: #039BE5 !important;
    text-decoration: underline !important;
}

#punishments a {
    text-decoration: none !important;
    color: rgba(0, 0, 0, 0.87) !important;
}

#punishments a:hover {
    color: #039BE5 !important;
    text-decoration: underline !important;
}

.data-row {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid rgba(0, 0, 0, .08);
    max-height: 30px;
    min-height: 30px;
}

.style {
    border: 1px solid rgba(0, 0, 0, .08);
    flex-direction: row;
}

.mdl-cell--8-col, .mdl-cell--8-col-desktop.mdl-cell--8-col-desktop {
    width: 66.6666667%;
}

.mdl-cell--4-col, .mdl-cell--4-col-desktop.mdl-cell--4-col-desktop {
    width: 33.33333334%;
}

.mdl-cell--10-col, .mdl-cell--10-col-desktop.mdl-cell--10-col-desktop {
    width: 83.33333334%
}

.index-footer {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 0.5rem;
    text-align: center;
    margin: 0;
}

.navbar-text {
    margin-top: 15px;
    margin-bottom: 15px;
}

@media (min-width: 768px) {
    .navbar-text {
        float: left;
        margin-left: 15px;
        margin-right: 15px;
    }
}

@media (min-width: 768px) {
    .lead {
        font-size: 21px;
    }
}

#logo {
    margin: 6% auto 0;
    text-align: center;
    position: relative;
    display: block;
}

@keyframes logo {
    from {
        transform: scale(1, 1);
    }
    to {
        transform: scale(1.03, 1.03);
    }
}

#logo img {
    animation-name: logo;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

#logo li {
    display: inline-block;
    max-width: 368px;
}

.tossing {
    animation-name: tossing;
    -webkit-animation-name: tossing;

    animation-duration: 5s;
    -webkit-animation-duration: 5s;

    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: infinite;
}

@keyframes tossing {
    0% {
        transform: rotate(-4deg);
    }
    50% {
        transform: rotate(4deg);
    }
    100% {
        transform: rotate(-4deg);
    }
}

@-webkit-keyframes tossing {
    0% {
        -webkit-transform: rotate(-4deg);
    }
    50% {
        -webkit-transform: rotate(4deg);
    }
    100% {
        -webkit-transform: rotate(-4deg);
    }
}

#paging {
    text-align: right;
    padding: 15px;
    font-weight: 100;
    color: #717171 !important;
}

#paging p {
    font-size: 14px !important;
}

#searchbar {
    display: inline-block;
    vertical-align: middle;
    width: 99%;
    color: darkslategrey !important;
    font-weight: 100 !important;
}

/* SearchBar Mobile Fix*/
@media only screen and (max-device-width: 480px) {
    #searchbar {
        width: 85%;
        color: darkslategrey !important;
        font-weight: 100 !important;
        padding: 11px 23px 1px 11px;
    }

    input#searchbar:active, input#searchbar:focus, input#searchbar:focus::-webkit-input-placeholder {
        outline: none;
        color: black !important;
        border-color: #A5A5A5;
        background-color: white;
        transition: all .25s ease;
        margin: -10% auto 0;
    }
}

/* SearchBar Firefox fix*/
@-moz-document url-prefix() {
    #searchbar {
        display: inline-block;
        vertical-align: middle;
        max-width: 82%;
        min-width: 82%;
        color: darkslategrey !important;
        font-weight: 100 !important;
    }
    input#searchbar:active, input#searchbar:focus, input#searchbar:focus::-webkit-input-placeholder {
        display: inline-block;
        vertical-align: middle;
        outline: none;
        color: black !important;
        border-color: #A5A5A5;
        background-color: white;
        transition: all .25s ease;
        padding: 11px 23px 1px 11px;
    }
    #searchbar::-moz-placeholder {
        font-size: 18px;
        line-height: 1.33333;
    }
    input#searchbar {
        display: inline-block;
        vertical-align: middle;
        color: black !important;
        background-color: white;
        font-size: 18px;
        border-radius: 2px;
        border-color: #A5A5A5;
    }
}

input#searchbar {
    color: black !important;
    background-color: white;
    font-size: 18px;
    border-radius: 2px;
    border-color: #A5A5A5;
}

input#searchbar::-webkit-input-placeholder {
    color: lightgray;
    transition: all .25s ease;
    font-size: 18px;
}

input#searchbar:active, input#searchbar:focus, input#searchbar:focus::-webkit-input-placeholder {
    outline: none;
    color: black !important;
    border-color: #A5A5A5;
    background-color: white;
    transition: all .25s ease;
}

.tdname {
    min-width: 200px;
    max-width: 250px;
}

.tdreason {
    min-width: 200px;
    max-width: 250px;
}

table {
    text-align: left;
    font-size: 0.9em;
    border: 1px solid darkgrey;
}

input {
    font-family: 'FontAwesome', Helvetica, Arial, sans-serif;
}

/* This is for the placeholder */

.table {
    border-spacing: 0;
    width: 100%;
    text-align: left;
}

.content-grid {
    max-width: 1416px;
}

.mdl-grid {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    margin: 0 auto;
    -webkit-align-items: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
}

/* Hover effect: Bob */
@-webkit-keyframes hvr-bob {
    0% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
    50% {
        -webkit-transform: translateY(-4px);
        transform: translateY(-4px);
    }
    100% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
}

@keyframes hvr-bob {
    0% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
    50% {
        -webkit-transform: translateY(-4px);
        transform: translateY(-4px);
    }
    100% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
}

@-webkit-keyframes hvr-bob-float {
    100% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
}

@keyframes hvr-bob-float {
    100% {
        -webkit-transform: translateY(-8px);
        transform: translateY(-8px);
    }
}

.hvr-bob {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px transparent;
}

.hvr-bob:hover, .hvr-bob:focus, .hvr-bob:active {
    -webkit-animation-name: hvr-bob-float, hvr-bob;
    animation-name: hvr-bob-float, hvr-bob;
    -webkit-animation-duration: .3s, 1.5s;
    animation-duration: .3s, 1.5s;
    -webkit-animation-delay: 0s, .3s;
    animation-delay: 0s, .3s;
    -webkit-animation-timing-function: ease-out, ease-in-out;
    animation-timing-function: ease-out, ease-in-out;
    -webkit-animation-iteration-count: 1, infinite;
    animation-iteration-count: 1, infinite;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-animation-direction: normal, alternate;
    animation-direction: normal, alternate;
}

/* Animation FadeIn */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.fadeIn {
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
}

/* Material Icons */
@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: local('Material Icons'), local('MaterialIcons-Regular'), url(https://fonts.gstatic.com/s/materialicons/v21/2fcrYFNaTjcS6g4U3t-Y5ZjZjT5FdEJ140U2DJYC3mY.woff2) format('woff2');
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 16px !important;
    position: relative; /* this line and the next "do the thing" */
    top: 3px;
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    text-rendering: optimizeLegibility;
}

.material-icons-paging {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 18px !important;
    position: relative; /* this line and the next "do the thing" */
    top: 3px;
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    text-rendering: optimizeLegibility;
}

.material-icons.md-18 {
    font-size: 18px !important;
}